List merchantsAsk AIget https://api.sandbox.rainforestpay.com/v1/merchantsQuery a list of merchants given optional search criteria.Query Paramsplatform_idstringThe unique platform identifier. Prefix is "plt" in production and "sbx_plt" in sandbox.merchant_idstringThe unique merchant identifier. Prefix is "mid" in production and "sbx_mid" in sandbox.namestringOptional merchant name by which to search merchants.statusarray of stringsOne or more merchant statuses to filter by. Provide parameter multiple times to filter by multiple merchant status types. ACTIVE DEACTIVATED ONBOARDING PENDING SUSPENDEDstatusADD stringbilling_profile_idarray of stringsOptional billing profile ID by which to search merchants.billing_profile_idADD stringcreated_at.startdate-timeCreated on or after in UTC RFC 3339 format.created_at.enddate-timeCreated on or before in UTC RFC 3339 format.updated_at.startdate-timeLast updated on or after in UTC RFC 3339 format.updated_at.enddate-timeLast updated on or before in UTC RFC 3339 format.latest_merchant_application_statusarray of stringsOne or more merchant application statuses to filter by. Provide parameter multiple times to filter by multiple merchant application status types.latest_merchant_application_statusADD stringsort_bystringenumOptional value by which to sort the result set. Default sort by is created_at.merchant_idnamestatuscreated_atupdated_atAllowed:merchant_idnamestatuscreated_atupdated_atsort_orderstringenumOrder in which to return the sorted results; ascending or descending. Default sort order is descending.ascdescAllowed:ascdesclimitnumber≤ 2000Defaults to 1000The maximum number of results to return.offsetnumber≥ 0Defaults to 0The offset of the first result to return; zero-based.HeadersRainforest-Api-VersionstringenumDefaults to 2024-10-162024-10-162023-12-01Allowed:2024-10-162023-12-01Responses 200OK 400Bad request, check for validation errors. 401Authorization missing or invalid. 403Authorization insufficient for requested action. 404Resource not found. 5XXUnexpected error.Updated 7 months ago